grk::CodeStreamInfo Struct Reference

`#include <LengthCache.h>`

## Public Member Functions

| CodeStreamInfo (BufferedStream *str)
virtual | ~CodeStreamInfo ()
bool | allocTileInfo (uint16_t numTiles)
bool | updateTileInfo (uint16_t tileIndex, uint8_t currentTilePart, uint8_t numTileParts)
TileInfo * | getTileInfo (uint16_t tileIndex)
void | dump (FILE *outputFileStream)
void | pushMarker (uint16_t id, uint64_t pos, uint32_t len)
uint64_t | getMainHeaderStart (void)
void | setMainHeaderStart (uint64_t start)
uint64_t | getMainHeaderEnd (void)
void | setMainHeaderEnd (uint64_t end)
bool | seekFirstTilePart (uint16_t tileIndex)

## Private Attributes

uint64_t | mainHeaderStart
| main header start position (SOC position)
uint64_t | mainHeaderEnd
| main header end position (first SOT position)
std::vector< MarkerInfo * > | marker
TileInfo * | tileInfo
uint16_t | numTiles
BufferedStream * | stream

## Constructor & Destructor Documentation

## CodeStreamInfo()

grk::CodeStreamInfo::CodeStreamInfo | ( | BufferedStream * | str | ) |

## ~CodeStreamInfo()

grk::CodeStreamInfo::~CodeStreamInfo | ( |  | ) |

virtual

References marker, and tileInfo.

## Member Function Documentation

## allocTileInfo()

bool grk::CodeStreamInfo::allocTileInfo | ( | uint16_t | numTiles | ) |

References numTiles, and tileInfo.

Referenced by grk::CodeStreamDecompress::decompressTile(), grk::CodeStreamDecompress::decompressTile(), and grk::CodeStreamDecompress::decompressTiles().

## dump()

void grk::CodeStreamInfo::dump | ( | FILE * | outputFileStream | ) |

References grk::TileInfo::dump(), getTileInfo(), mainHeaderEnd, mainHeaderStart, marker, grk::TileInfo::numTileParts, numTiles, and tileInfo.

Referenced by grk::CodeStreamDecompress::dump().

## getMainHeaderEnd()

uint64_t grk::CodeStreamInfo::getMainHeaderEnd | ( | void |  | ) |

References mainHeaderEnd.

## getMainHeaderStart()

uint64_t grk::CodeStreamInfo::getMainHeaderStart | ( | void |  | ) |

References mainHeaderStart.

Referenced by grk::CodeStreamDecompress::read_soc().

## getTileInfo()

TileInfo * grk::CodeStreamInfo::getTileInfo | ( | uint16_t | tileIndex | ) |

References numTiles, and tileInfo.

Referenced by dump(), and seekFirstTilePart().

## pushMarker()

void grk::CodeStreamInfo::pushMarker | ( | uint16_t | id,
|  | uint64_t | pos,
|  | uint32_t | len
| ) |  |

References marker.

Referenced by grk::CodeStreamDecompress::addMarker().

## seekFirstTilePart()

bool grk::CodeStreamInfo::seekFirstTilePart | ( | uint16_t | tileIndex | ) |

References getTileInfo(), grk::GRK_ERROR(), grk::MARKER_BYTES, grk::BufferedStream::seek(), stream, and tileInfo.

Referenced by grk::CodeStreamDecompress::decompressTile().

## setMainHeaderEnd()

void grk::CodeStreamInfo::setMainHeaderEnd | ( | uint64_t | end | ) |

References mainHeaderEnd.

Referenced by grk::CodeStreamCompress::cacheEndOfHeader(), and grk::CodeStreamDecompress::readHeaderProcedureImpl().

## setMainHeaderStart()

void grk::CodeStreamInfo::setMainHeaderStart | ( | uint64_t | start | ) |

References mainHeaderStart.

Referenced by grk::CodeStreamDecompress::read_soc().

## updateTileInfo()

bool grk::CodeStreamInfo::updateTileInfo | ( | uint16_t | tileIndex,
|  | uint8_t | currentTilePart,
|  | uint8_t | numTileParts
| ) |  |

References tileInfo, and grk::TileInfo::update().

Referenced by grk::SOTMarker::read().

## Member Data Documentation

## mainHeaderEnd

uint64_t grk::CodeStreamInfo::mainHeaderEnd

private

main header end position (first SOT position)

Referenced by dump(), getMainHeaderEnd(), and setMainHeaderEnd().

## mainHeaderStart

uint64_t grk::CodeStreamInfo::mainHeaderStart

private

main header start position (SOC position)

Referenced by dump(), getMainHeaderStart(), and setMainHeaderStart().

## marker

std::vector<MarkerInfo*> grk::CodeStreamInfo::marker

private

Referenced by dump(), pushMarker(), and ~CodeStreamInfo().

## numTiles

uint16_t grk::CodeStreamInfo::numTiles

private

Referenced by allocTileInfo(), dump(), and getTileInfo().

## stream

BufferedStream* grk::CodeStreamInfo::stream

private

Referenced by seekFirstTilePart().

## tileInfo

TileInfo* grk::CodeStreamInfo::tileInfo

private

Referenced by allocTileInfo(), dump(), getTileInfo(), seekFirstTilePart(), updateTileInfo(), and ~CodeStreamInfo().

The documentation for this struct was generated from the following files:

- LengthCache.h
- LengthCache.cpp